GNU bug report logs - #18558
24.4.50; Debugger slow with long strings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Helmut Eller <eller.helmut@HIDDEN>; merged with #29463; dated Thu, 25 Sep 2014 09:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 18558 29463. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18558 <at> debbugs.gnu.org:


Received: (at 18558) by debbugs.gnu.org; 19 Feb 2016 09:15:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 04:15:52 2016
Received: from localhost ([127.0.0.1]:33492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWhAG-0000n5-OR
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2016 04:15:52 -0500
Received: from mail-wm0-f44.google.com ([74.125.82.44]:38072)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eller.helmut@HIDDEN>) id 1aWhAF-0000mu-Sa
 for 18558 <at> debbugs.gnu.org; Fri, 19 Feb 2016 04:15:52 -0500
Received: by mail-wm0-f44.google.com with SMTP id a4so61545895wme.1
 for <18558 <at> debbugs.gnu.org>; Fri, 19 Feb 2016 01:15:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=CaxQ7jxTb40lw7f3DjYwl1OgmR+qXsxQVBtln4F+QOg=;
 b=N7GbeyeKb9QsRQHG2+HiUSbu0MdriI8mUdwurHbl/o9ZAZp5+MPjlhIdaYzTs0QLZ4
 Pzz5jYd6J2fhNr6JcO5uM2wnrYNnKZZSNjuCEOYLrtABPokXDmeZR9WbmDRuUH1erPhc
 vMMZiyyb9IYMyDWSo2rKeWHRANCPM56+6Qhr52A7ZhyaJgSZtIQ+Qvc3JTlMTxufFU8O
 M6TmN2xf6TfQfoYNzhGs+gBySA5Hnex2uVt1LC92U61FSpxrBwDGtdya7hFoqXTAh4uy
 knKyCIJgzm8Q3hqmFYS96mUvjr9DBhJKH9hkRvje/QSL1X00qH4zpetDIX5UDXpHWHMl
 WA8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=CaxQ7jxTb40lw7f3DjYwl1OgmR+qXsxQVBtln4F+QOg=;
 b=ixJv3L+zHWpVUYofXLdutxSN50K0/LsnreWrlaXlrZVFHRzKlGETq/tc7JsqfBm91L
 L0oQST9XY86wt8a2CR8b5f1qtaN8SVizBkGzCr3PRWmW8B9HaUnV0iMu9WWV1jxX427L
 AaFXMB2MHIWBi9RZ9nG0GRte8eSeMF9iFJhnuMb4RjeVD4JbajuGIiaRlCx7o/kQQsmH
 aDLxAeak9DkPL8lh6zcEVcRFipmx/8TRjLJrOMIDQwF6ayrwkDxoFRos4IrQzbq6NiMI
 kUieDi3Rwm+G7HKlWUb2nVU90nDuzOfOhIOr5d8fXIwqYJmWT3GPxxyFubRXJ/+w1BBG
 h44w==
X-Gm-Message-State: AG10YOQFolx9N1/hKCqZdTfDTOsSQETO4kgDHMmu239V3yjDflKjiQKWouvnxH3f+8ksqA==
X-Received: by 10.194.95.40 with SMTP id dh8mr13603584wjb.146.1455873346230;
 Fri, 19 Feb 2016 01:15:46 -0800 (PST)
Received: from ix ([212.46.171.79])
 by smtp.gmail.com with ESMTPSA id u132sm5606619wmd.1.2016.02.19.01.15.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 19 Feb 2016 01:15:45 -0800 (PST)
Received: from helmut by ix with local (Exim 4.84)
 (envelope-from <eller.helmut@HIDDEN>)
 id 1aWhA8-0000yA-N6; Fri, 19 Feb 2016 10:15:44 +0100
From: Helmut Eller <eller.helmut@HIDDEN>
To: Marcin Borkowski <mbork@HIDDEN>
Subject: Re: bug#18558: 24.4.50; Debugger slow with long strings
References: <m2fvfgqcv8.fsf@HIDDEN> <87h9h5jdnm.fsf@HIDDEN>
Date: Fri, 19 Feb 2016 10:15:44 +0100
In-Reply-To: <87h9h5jdnm.fsf@HIDDEN> (Marcin Borkowski's message of "Fri, 19
 Feb 2016 09:41:01 +0100")
Message-ID: <m2mvqxrrgf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18558
Cc: 18558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Feb 19 2016, Marcin Borkowski wrote:

> I would guess that the problem is not in long string /per se/, but with
> lon lines in the *Backtrace* buffer, i.e. probably something connected
> with the display engine.  I guess this bug should either be closed or
> merged with some other one (one of the other ones, perhaps) dealing with
> efficiency problems with long lines.

It seems very unlikely that the general "long-lines" problem of the
display engine will be fixed.  In contrast, the debugger could be
changed to not generate long lines, e.g. by truncating long string like
it does for long/cyclic lists.

Helmut




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18558; Package emacs. Full text available.

Message received at 18558 <at> debbugs.gnu.org:


Received: (at 18558) by debbugs.gnu.org; 19 Feb 2016 09:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 04:04:13 2016
Received: from localhost ([127.0.0.1]:33486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWgyz-0000Wa-Le
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2016 04:04:13 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54171)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aWgyy-0000WO-QG
 for 18558 <at> debbugs.gnu.org; Fri, 19 Feb 2016 04:04:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aWgyo-0000ik-I8
 for 18558 <at> debbugs.gnu.org; Fri, 19 Feb 2016 04:04:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42339)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aWgyo-0000ig-FA; Fri, 19 Feb 2016 04:04:02 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2772
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aWgya-0005NL-IP; Fri, 19 Feb 2016 04:04:01 -0500
Date: Fri, 19 Feb 2016 11:03:41 +0200
Message-Id: <83povtrs0i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Marcin Borkowski <mbork@HIDDEN>
In-reply-to: <87h9h5jdnm.fsf@HIDDEN> (message from Marcin Borkowski on Fri, 
 19 Feb 2016 09:41:01 +0100)
Subject: Re: bug#18558: 24.4.50; Debugger slow with long strings
References: <m2fvfgqcv8.fsf@HIDDEN> <87h9h5jdnm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18558
Cc: 18558 <at> debbugs.gnu.org, eller.helmut@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Marcin Borkowski <mbork@HIDDEN>
> Date: Fri, 19 Feb 2016 09:41:01 +0100
> Cc: 18558 <at> debbugs.gnu.org
> 
> On 2014-09-25, at 12:16, Helmut Eller <eller.helmut@HIDDEN> wrote:
> 
> > Moving the cursor in the debugger window is very slow in the following
> > example:
> >
> > shell> cat test.el
> > (progn
> >   (defun foo (n string)
> >     (cond ((= n 0) (debug))
> >           (t (foo (1- n) string))))
> >   (foo 30 (make-string 500000 ?\\)))
> >
> > shell> emacs -Q -nw -l test.el
> >
> > Now move the cursor around to see the slowness.
> >
> > Maybe the debugger should truncate long strings as it does with long
> > lists.
> 
> Confirmed on GNU Emacs 25.1.50.2 (commit 4ccd268).
> 
> I would guess that the problem is not in long string /per se/, but with
> lon lines in the *Backtrace* buffer, i.e. probably something connected
> with the display engine.  I guess this bug should either be closed or
> merged with some other one (one of the other ones, perhaps) dealing with
> efficiency problems with long lines.

Yes, please merge it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18558; Package emacs. Full text available.

Message received at 18558 <at> debbugs.gnu.org:


Received: (at 18558) by debbugs.gnu.org; 19 Feb 2016 08:41:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 03:41:06 2016
Received: from localhost ([127.0.0.1]:33463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aWgcb-0008PJ-Rr
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2016 03:41:06 -0500
Received: from mail.mojserwer.eu ([195.110.48.8]:34987)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mbork@HIDDEN>) id 1aWgca-0008PB-Sp
 for 18558 <at> debbugs.gnu.org; Fri, 19 Feb 2016 03:41:05 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.mojserwer.eu (Postfix) with ESMTP id 3509A9D2005;
 Fri, 19 Feb 2016 09:41:04 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail.mojserwer.eu
Received: from mail.mojserwer.eu ([127.0.0.1])
 by localhost (mail.mojserwer.eu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id QHn87LSfuhTi; Fri, 19 Feb 2016 09:41:02 +0100 (CET)
Received: from localhost (unknown [109.232.24.28])
 by mail.mojserwer.eu (Postfix) with ESMTPSA id E92109D2004;
 Fri, 19 Feb 2016 09:41:01 +0100 (CET)
From: Marcin Borkowski <mbork@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#18558: 24.4.50; Debugger slow with long strings
References: <m2fvfgqcv8.fsf@HIDDEN>
Date: Fri, 19 Feb 2016 09:41:01 +0100
In-Reply-To: <m2fvfgqcv8.fsf@HIDDEN> (Helmut Eller's message of "Thu, 25
 Sep 2014 11:16:11 +0200")
Message-ID: <87h9h5jdnm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18558
Cc: 18558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2014-09-25, at 12:16, Helmut Eller <eller.helmut@HIDDEN> wrote:

> Moving the cursor in the debugger window is very slow in the following
> example:
>
> shell> cat test.el
> (progn
>   (defun foo (n string)
>     (cond ((= n 0) (debug))
>           (t (foo (1- n) string))))
>   (foo 30 (make-string 500000 ?\\)))
>
> shell> emacs -Q -nw -l test.el
>
> Now move the cursor around to see the slowness.
>
> Maybe the debugger should truncate long strings as it does with long
> lists.

Confirmed on GNU Emacs 25.1.50.2 (commit 4ccd268).

I would guess that the problem is not in long string /per se/, but with
lon lines in the *Backtrace* buffer, i.e. probably something connected
with the display engine.  I guess this bug should either be closed or
merged with some other one (one of the other ones, perhaps) dealing with
efficiency problems with long lines.

Best,

-- 
mbork




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18558; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2014 09:17:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 25 05:17:01 2014
Received: from localhost ([127.0.0.1]:51616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XX5Aa-0007bQ-Hh
	for submit <at> debbugs.gnu.org; Thu, 25 Sep 2014 05:17:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46934)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX5AX-0007bH-9c
 for submit <at> debbugs.gnu.org; Thu, 25 Sep 2014 05:16:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX5AN-0004wC-LX
 for submit <at> debbugs.gnu.org; Thu, 25 Sep 2014 05:16:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53945)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX5AN-0004v0-IV
 for submit <at> debbugs.gnu.org; Thu, 25 Sep 2014 05:16:47 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48604)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX5A9-0005KD-E8
 for bug-gnu-emacs@HIDDEN; Thu, 25 Sep 2014 05:16:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX59w-0004qF-6Y
 for bug-gnu-emacs@HIDDEN; Thu, 25 Sep 2014 05:16:33 -0400
Received: from mail-we0-x22e.google.com ([2a00:1450:400c:c03::22e]:39045)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX59v-0004pO-Vr
 for bug-gnu-emacs@HIDDEN; Thu, 25 Sep 2014 05:16:20 -0400
Received: by mail-we0-f174.google.com with SMTP id w62so7144654wes.33
 for <bug-gnu-emacs@HIDDEN>; Thu, 25 Sep 2014 02:16:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=ngfZZQfPGZg3VElJny+M1T1jUWgmLefUZ3pAluEMfmg=;
 b=Tu02nj7XQaZPMS75tvYJJokACTXTLk+in2+xLBNeKN8vD83WQpN7fIIIWATWpHIcIO
 CS5RKxYIm6uM019klz/0ZN/5Lkhdf4RnMhuYSFfpWfLhTtteR4ncU9aAURKvQ+zlNDk4
 Zcrb8leTMyPft7qAsZPSRphvBXztwm/sRKqPgagkoO5Om//9VG+Yfh4s7CsRQD1wyctA
 77mv1zK/7mC0KMR1SNihM+rsUl+iEylepOZ2LtOMJn3dwZFk5oIEc9jhaAP2c7qEI8Ar
 MdG393ayAnB9/X60TrcF9NDwovdMUVUYWR/BRrzc1aUoCE3X8QH3Hvd2WTfbQMGXmIIQ
 LgEg==
X-Received: by 10.180.39.234 with SMTP id s10mr17338434wik.23.1411636573884;
 Thu, 25 Sep 2014 02:16:13 -0700 (PDT)
Received: from ix (dial-189139.pool.broadband44.net. [212.46.189.139])
 by mx.google.com with ESMTPSA id c7sm8546601wib.12.2014.09.25.02.16.12
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Thu, 25 Sep 2014 02:16:13 -0700 (PDT)
Received: from helmut by ix with local (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1XX59n-0001B6-6m
 for bug-gnu-emacs@HIDDEN; Thu, 25 Sep 2014 11:16:11 +0200
From: Helmut Eller <eller.helmut@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.50; Debugger slow with long strings
Date: Thu, 25 Sep 2014 11:16:11 +0200
Message-ID: <m2fvfgqcv8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Moving the cursor in the debugger window is very slow in the following
example:

shell> cat test.el
(progn
  (defun foo (n string)
    (cond ((= n 0) (debug))
          (t (foo (1- n) string))))
  (foo 30 (make-string 500000 ?\\)))

shell> emacs -Q -nw -l test.el

Now move the cursor around to see the slowness.

Maybe the debugger should truncate long strings as it does with long
lists.


In GNU Emacs 24.4.50.2 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2014-09-08 on ix




Acknowledgement sent to Helmut Eller <eller.helmut@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18558; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Nov 2017 02:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.